# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve Class Reference

`#include <PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve ()
| PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve (const Handle(PGeom2d_Curve)&aValue)
void | SetValue (const Handle(PGeom2d_Curve)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PGeom2d_Curve | myValue

## Constructor & Destructor Documentation

PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve | ( |  | ) |

PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve | ( | const Handle(PGeom2d_Curve)& | aValue | ) |

## Member Function Documentation

void PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::SetValue | ( | const Handle(PGeom2d_Curve)& | aValue | ) |

Standard_Address PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom2d_Curve PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfCurve.hxx